summaryrefslogtreecommitdiffhomepage
path: root/.github/workflows/ci_helpers.sh
diff options
context:
space:
mode:
authorPaul Spooren <mail@aparcar.org>2021-10-08 23:08:10 -1000
committerPaul Spooren <mail@aparcar.org>2021-10-09 22:52:02 -1000
commitdc7144ffed312b70a141b564a6694afb1666a656 (patch)
tree917a6783bd772609772f55678e2e66d995ec0ec2 /.github/workflows/ci_helpers.sh
parent530144791ee0db7df544c845611c2fba2910582d (diff)
CI: add formal tests
Migrate the same formal tests used in packages.git Signed-off-by: Paul Spooren <mail@aparcar.org>
Diffstat (limited to '.github/workflows/ci_helpers.sh')
-rw-r--r--.github/workflows/ci_helpers.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/.github/workflows/ci_helpers.sh b/.github/workflows/ci_helpers.sh
new file mode 100644
index 0000000000..60dcd4ee12
--- /dev/null
+++ b/.github/workflows/ci_helpers.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+color_out() {
+ printf "\e[0;$1m$PKG_NAME: %s\e[0;0m\n" "$2"
+}
+
+success() {
+ color_out 32 "$1"
+}
+
+info() {
+ color_out 36 "$1"
+}
+
+err() {
+ color_out 31 "$1"
+}
+
+warn() {
+ color_out 33 "$1"
+}
+
+err_die() {
+ err "$1"
+ exit 1
+}